MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032315Open CASCADE[OCCT] OCCT:Configurationpublic2021-04-21 20:352021-04-25 12:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032315: Configuration, CMake - fix building Draw Harness plugins as static libraries
DescriptionIt is technically possible loading commands from statically linked Draw Harness plugins, but currently this doesn't work due to DPLUGIN() macros.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100495)
git (administrator)
2021-04-21 21:04

Branch CR32315 has been created by kgv.

SHA-1: 7c7757e0d9b1d3027a3de418e1634b6319ac4fac


Detailed log of new commits:

Author: kgv
Date: Sat Mar 20 00:31:01 2021 +0300

    0032315: Configuration, CMake - fix building Draw Harness plugins as static libraries
    
    DPLUGIN() macros no more defines exported function PLUGINFACTORY when building static libraries.
    DRAWEXE executable now pre-loads a set of plugins when building static libraries.
    dversion - added WebAssembly info.
(0100496)
git (administrator)
2021-04-21 21:33

Branch CR32315 has been updated forcibly by kgv.

SHA-1: 96530936a64e85e168a2356a799450b70d8a173f
(0100497)
git (administrator)
2021-04-21 22:16

Branch CR32315 has been updated forcibly by kgv.

SHA-1: 9507a71bdab2cb8b582e2315c34af82ee3fd0fa1
(0100498)
git (administrator)
2021-04-21 22:20

Branch CR32315 has been updated forcibly by kgv.

SHA-1: 430ff79fdd2a87fb1b8dcd74d798848cc01fdcce
(0100499)
git (administrator)
2021-04-21 22:23

Branch CR32315 has been updated forcibly by kgv.

SHA-1: 50c6321e2186544449d1d33c323faf4d6af93067
(0100500)
git (administrator)
2021-04-21 22:32

Branch CR32315 has been updated forcibly by kgv.

SHA-1: d05fcbe21351f5e8db02b77f736180d2f73e8998
(0100501)
git (administrator)
2021-04-21 22:46

Branch CR32315 has been updated forcibly by kgv.

SHA-1: 86daa2f1ba2c62aa1f0a3cb3bff929986648bd04
(0100502)
git (administrator)
2021-04-21 23:00

Branch CR32315 has been updated forcibly by kgv.

SHA-1: 691bc90eb821bf54064722c116b8eb0263f61b5a
(0100503)
kgv (developer)
2021-04-21 23:00

Patch is ready for review
- OCCT: branch CR32315.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32315-master-KGV/ [^]
(0100507)
osa (developer)
2021-04-22 10:15

The patch was reviewed
(0100547)
bugmaster (administrator)
2021-04-25 10:59

Combination -
OCCT branch : IR-2021-04-23
master SHA - fd2efe5428b3b2b9d300b0612c0a53ee2486ba64
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-23 SHA - 740db2b9c0429fd95b1e8cf3790001245aaec02b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17901.710000000523 / 17988.35000000045 [-0.48%]
Products
Total CPU difference: 11558.800000000136 / 11564.760000000093 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 5522.40625 / 5520.953125 [+0.03%]
Products
Total CPU difference: 12871.203125 / 12932.890625 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100555)
git (administrator)
2021-04-25 12:24

Branch CR32315 has been deleted by inv.

SHA-1: 691bc90eb821bf54064722c116b8eb0263f61b5a

- Related Changesets
occt: master a34bddcf
Timestamp: 2021-03-19 21:31:01
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032315: Configuration, CMake - fix building Draw Harness plugins as static libraries

DPLUGIN() macros no more defines exported function PLUGINFACTORY when building static libraries.
DRAWEXE executable now pre-loads a set of plugins when building static libraries.
dversion - added WebAssembly info.
mod - .gitattributes Diff ] File ]
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
mod - adm/scripts/cmake_gen.bat Diff ] File ]
mod - adm/scripts/wasm_build.bat Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/webgl/occt-webgl-sample.html Diff ] File ]
mod - samples/webgl/occt-webgl-viewer.js Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_PluginMacro.hxx Diff ] File ]
mod - src/DRAWEXE/CMakeLists.txt Diff ] File ]
mod - src/DRAWEXE/DRAWEXE.cxx Diff ] File ]
add - src/DRAWEXE/DRAWEXE.html Diff ] File ]
add - src/DRAWEXE/EXTERNLIB_STATIC Diff ] File ]
mod - src/OS/Draw.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-21 20:35 kgv New Issue
2021-04-21 20:35 kgv Assigned To => kgv
2021-04-21 20:35 kgv Relationship added child of 0022651
2021-04-21 20:36 kgv Relationship added child of 0027401
2021-04-21 21:04 git Note Added: 0100495
2021-04-21 21:33 git Note Added: 0100496
2021-04-21 22:16 git Note Added: 0100497
2021-04-21 22:20 git Note Added: 0100498
2021-04-21 22:23 git Note Added: 0100499
2021-04-21 22:32 git Note Added: 0100500
2021-04-21 22:46 git Note Added: 0100501
2021-04-21 23:00 git Note Added: 0100502
2021-04-21 23:00 kgv Note Added: 0100503
2021-04-21 23:00 kgv Assigned To kgv => osa
2021-04-21 23:00 kgv Status new => resolved
2021-04-22 10:15 osa Note Added: 0100507
2021-04-22 10:15 osa Assigned To osa => bugmaster
2021-04-22 10:15 osa Status resolved => reviewed
2021-04-25 10:59 bugmaster Note Added: 0100547
2021-04-25 10:59 bugmaster Status reviewed => tested
2021-04-25 11:12 bugmaster Test case number => Not required
2021-04-25 11:55 bugmaster Changeset attached => occt master a34bddcf
2021-04-25 11:55 bugmaster Status tested => verified
2021-04-25 11:55 bugmaster Resolution open => fixed
2021-04-25 12:24 git Note Added: 0100555


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker